API reference and playgroundCustomers
Get customer details
curl -X GET "https://test-api.kashier.io/v2/customers/string"{ "body": { "_id": "67ba05fd87c9970012389428", "name": "John Doe", "phoneNumber": "1123456789", "emailAddress": "", "customerId": "C-1740244477202", "merchantId": "MID-XXXXX-XXX", "customFields": [ { "name": "custom-key-1", "value": "custom-value-1" }, { "name": "custom-key-2", "value": "custom-value-2" } ], "createdAt": "2025-02-22 19:14:37+02:00", "updatedAt": "2025-02-22 19:14:37+02:00", "timeLine": [ { "_id": "67ba05fd87c9970012389508", "customerId": "67ba05fd87c9970012389428", "operation": "created", "actionBy": { "email": "[email protected]", "fullName": "Dashboard User" }, "updatedFields": [], "updatedAt": "2025-02-22 19:14:37+02:00" } ] }, "message": "Customer retrieved successfully"}Retrieves a single customer, including the timeLine of changes made to the profile and who made them.
Authorization
secretKey Authorization<token>
Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).
In: header
Path Parameters
id*string
The customer's record id.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json